namespace MessageAPI.APIData
{
    public class DataContext : DbContext
    {
        public DataContext(DbContextOptions options) : base(options)
        {
        }

        public DbSet<User> Users {get; set;}
        public DbSet<Message> Messages { get; set; }
        public DbSet<SignalRGroup> SignalRGroups { get; set;}
        public DbSet<UserSignalR> UsersSignalRs { get; set;}
        //configuring many to many relations in entity framework 
        protected override void OnModelCreating(ModelBuilder builder)
        {
            base.OnModelCreating(builder);
            builder.Entity<Message>().HasOne(p => p.Target).WithMany(p => p.Received).OnDelete(DeleteBehavior.Restrict);
            builder.Entity<Message>().HasOne(p => p.Issuer).WithMany(p => p.Sent).OnDelete(DeleteBehavior.Restrict);
        }
    }
}