namespace MessageAPI.APIData
{
    public class MappingData : Profile
    {
        public MappingData()
        {
            CreateMap<DateTime, DateTime>().ConvertUsing(t => DateTime.SpecifyKind(t, DateTimeKind.Utc));
            CreateMap<User, UserForPhotoReturn>().ForMember(destinationMember => destinationMember.PhotoAdress,
             options => options.MapFrom(sourceMember => sourceMember.Photo.FirstOrDefault(p => p.Leading).Adress))
             .ForMember(destinationMember => destinationMember.CalculatedAge,options => options.MapFrom(sourceMember => sourceMember.Dob.AgeCalculation()));
            CreateMap<Photo, PhotoReturn>();
            CreateMap<UpdateUser, User>();
            CreateMap<RegisterUser, User>();
            CreateMap<Message, MessageViewItem>();
        }
    }
}