﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MessageAPI.APIData.Migrations
{
    public partial class SignalRConfiguration : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "SignalRGroups",
                columns: table => new
                {
                    GroupName = table.Column<string>(type: "TEXT", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_SignalRGroups", x => x.GroupName);
                });

            migrationBuilder.CreateTable(
                name: "UsersSignalRs",
                columns: table => new
                {
                    UsersSignalRId = table.Column<string>(type: "TEXT", nullable: false),
                    Name = table.Column<string>(type: "TEXT", nullable: true),
                    SignalRGroupGroupName = table.Column<string>(type: "TEXT", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_UsersSignalRs", x => x.UsersSignalRId);
                    table.ForeignKey(
                        name: "FK_UsersSignalRs_SignalRGroups_SignalRGroupGroupName",
                        column: x => x.SignalRGroupGroupName,
                        principalTable: "SignalRGroups",
                        principalColumn: "GroupName");
                });

            migrationBuilder.CreateIndex(
                name: "IX_UsersSignalRs_SignalRGroupGroupName",
                table: "UsersSignalRs",
                column: "SignalRGroupGroupName");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "UsersSignalRs");

            migrationBuilder.DropTable(
                name: "SignalRGroups");
        }
    }
}
