namespace MessageAPI.APIData
{
    public class SeedData
    {
        public static async Task SeedDatabase(DataContext dataContext)
        {
            if(await dataContext.Users.AnyAsync()) return;
            var data = await System.IO.File.ReadAllTextAsync("APIData/Seed.json");
            var userData = JsonSerializer.Deserialize<List<User>>(data);
            foreach(var userDatas in userData)
            {
                using var cryptography = new HMACSHA512();
                userDatas.UserName = userDatas.UserName.ToUpper();
                userDatas.Hash = cryptography.ComputeHash(Encoding.UTF8.GetBytes("password1"));
                userDatas.Salt = cryptography.Key;
                dataContext.Users.Add(userDatas);
            }
            await dataContext.SaveChangesAsync();
        }
    }
}