namespace MessageAPI.APIData
{
    public class UserDataRepository : IUserDataRepository
    {
        private readonly DataContext DataContext;
        public UserDataRepository(DataContext dataContext)
        {
            DataContext = dataContext;
        }
        public async Task<IEnumerable<User>> GetAllUsers()
        {
            return await DataContext.Users.Include(e => e.Photo).ToListAsync();
        }
        public async Task<User> GetByUsername(string username)
        {
            return await DataContext.Users.Include(e => e.Photo).SingleOrDefaultAsync( e => e.UserName == username.ToUpper());
        }
        public void ProfileUpdate(User user)
        {
            DataContext.Entry(user).State = EntityState.Modified;
        }
        public async Task<bool> SaveChanges()
        {
            return await DataContext.SaveChangesAsync() > 0;
        }
    }
}