namespace MessageAPI.APIServices
{
    public class Paging<T> : List<T>
    {
        public Paging(IEnumerable<T> items, int count) 
        {
            TotalCount = count;
            AddRange(items);
        }

        public int TotalCount { get; set; }
        public static async Task<Paging<T>> Create(IQueryable<T> source) 
        {
            var count = await source.CountAsync(); // CountAsync will return the count of objects because we get only the objects from IQueryabled
            var items = await source.ToListAsync();
            return new Paging<T>(items, count); 
        }

    }
}