namespace MessageAPI.APIServices
{
    public class wasActive : IAsyncActionFilter
    {
        public async Task OnActionExecutionAsync(ActionExecutingContext Executingcontext, ActionExecutionDelegate ExecutingDelegate)
        {
            var executingcontextConfig = await ExecutingDelegate();
            if(!executingcontextConfig.HttpContext.User.Identity.IsAuthenticated) return; //if user is not logged in return nothing
            var name  = executingcontextConfig.HttpContext.User.FindFirst(ClaimTypes.NameIdentifier)?.Value;
            var repository = executingcontextConfig.HttpContext.RequestServices.GetService<IUserDataRepository>();
            var user = await repository.GetByUsername(name);
            user.WasActive = DateTime.UtcNow;
            await repository.SaveChanges();
        }
    }
}