namespace MessageAPI.RealTimePresence
{
    [Authorize]
    public class OnlineHub : Hub
    {
        private readonly OnlineUsersDictionary onlineUsersDictionary1;
        public OnlineHub(OnlineUsersDictionary onlineUsersDictionary)
        {
            onlineUsersDictionary1 = onlineUsersDictionary;
        }

        public override async Task OnConnectedAsync()
        {
            await onlineUsersDictionary1.uOnline(Context.User.FindFirst(ClaimTypes.NameIdentifier)?.Value, Context.ConnectionId);
            await Clients.Others.SendAsync("ThisUserIsOnline", Context.User.FindFirst(ClaimTypes.NameIdentifier)?.Value);
            var allOnlineUsers = await onlineUsersDictionary1.allOnline();
            await Clients.All.SendAsync("allOnline", allOnlineUsers);
        }

        public override async Task OnDisconnectedAsync(Exception error)
        {
            await onlineUsersDictionary1.uOffline(Context.User.FindFirst(ClaimTypes.NameIdentifier)?.Value, Context.ConnectionId);
            await Clients.Others.SendAsync("ThisUserIsOffline", Context.User.FindFirst(ClaimTypes.NameIdentifier)?.Value);
            var allOnlineUsers = await onlineUsersDictionary1.allOnline();
            await Clients.All.SendAsync("allOnline", allOnlineUsers);
            await base.OnDisconnectedAsync(error);
        }
    }
}