namespace MessageAPI.RealTimePresence
{
    public class OnlineUsersDictionary
    {
        private static readonly Dictionary<string, List<string>> U = new Dictionary<string, List<string>>();

        public Task uOnline(string name, string id)
        {
            lock(U) //we make sure dictionary will add one after another by using lock keyword 
            {
                if(U.ContainsKey(name))
                {
                    U[name].Add(id);
                }
                else{
                    U.Add(name, new List<string>{id});
                }
            }
            return Task.CompletedTask;
        }

        public Task uOffline(string name, string id)
        {
            lock (U)
            {
                if(!U.ContainsKey(name)) return Task.CompletedTask;

                U[name].Remove(id);
                if(U[name].Count == 0) 
                {
                    U.Remove(name);
                }
            }

            return Task.CompletedTask;
        }

        public Task<string[]> allOnline()
        {
            string[] usersString;
            lock(U)
            {
                usersString = U.OrderBy( p => p.Key).Select(p => p.Key).ToArray();
            }
            return Task.FromResult(usersString);
        }

    }
}