import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthenticatedGuard } from './authenticated.guard';
import { MainComponent } from './main/main.component';
import { MessagesComponent } from './messages/messages.component';
import { SaveFormGuard } from './save-form.guard';
import { AllUsersComponent } from './users/all-users/all-users.component';
import { DetailComponent } from './users/detail/detail.component';
import { EditUserComponent } from './users/edit-user/edit-user.component';

const routes: Routes = [
  {path: '', component: MainComponent},
  {path: 'users', component: AllUsersComponent, canActivate: [AuthenticatedGuard]},
  {path: 'users/:username', component: DetailComponent},
  {path: 'messages', component: MessagesComponent, canActivate: [AuthenticatedGuard]},
  {path: 'user/edit', component: EditUserComponent, canDeactivate: [SaveFormGuard], canActivate: [AuthenticatedGuard]},
  {path: '*', component: MainComponent, pathMatch:'full'},
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
