import { HttpClient } from '@angular/common/http';
import { Component, OnInit } from '@angular/core';
import { ClientUser } from './clientEntities/clientUser';
import { LogSignService } from './clientServices/log-sign.service';
import { OnlineService } from './clientServices/online.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  title = 'Messaging app';

  clientUser: any;

  constructor(private loginService: LogSignService, private onlineService: OnlineService) {} //async request
  ngOnInit() {
    this.setUserValues();
  }

  

  setUserValues(){
    const clientuser: ClientUser = JSON.parse(localStorage.getItem('user_access'));
    if(clientuser){
      this.loginService.setUserValues(clientuser);
      this.onlineService.onlineConnection(clientuser);
    }
    
  }
}
