import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { HttpClientModule, HTTP_INTERCEPTORS} from '@angular/common/http';
import { BrowserAnimationsModule} from '@angular/platform-browser/animations';
import { NavbarComponent } from './navbar/navbar.component'
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import {BsDropdownModule } from 'ngx-bootstrap/dropdown';
import { MainComponent } from './main/main.component';
import { SignUpComponent } from './sign-up/sign-up.component';
import { AllUsersComponent } from './users/all-users/all-users.component';
import { EditUserComponent } from './users/edit-user/edit-user.component';
import { MessagesComponent } from './messages/messages.component'
import { ToastrModule } from 'ngx-toastr';
import { DetailComponent } from './users/detail/detail.component';
import { UserAccessInterceptor } from './user-access.interceptor';
import { TabsModule } from 'ngx-bootstrap/tabs';
import { CarouselModule } from 'ngx-bootstrap/carousel';
import { FileUploadModule } from 'ng2-file-upload';
import { PhotoConfig } from './users/photo-config/photo-config.component';
import {BsDatepickerModule} from 'ngx-bootstrap/datepicker'

@NgModule({
  declarations: [
    AppComponent,
    NavbarComponent,
    MainComponent,
    SignUpComponent,
    AllUsersComponent,
    EditUserComponent,
    MessagesComponent,
    DetailComponent,
    PhotoConfig,
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    AppRoutingModule,
    HttpClientModule,
    FormsModule,
    BsDropdownModule.forRoot(),
    ToastrModule.forRoot({positionClass: "toast-bottom-left"}),
    TabsModule.forRoot(),
    CarouselModule.forRoot(),
    FileUploadModule,
    ReactiveFormsModule,
    BsDatepickerModule.forRoot()
  ],
  providers: [{provide: HTTP_INTERCEPTORS, useClass:UserAccessInterceptor,multi : true}],
  bootstrap: [AppComponent]
})
export class AppModule { }
