import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { MappedUsers } from '../clientViewItems/mappedUsers';


@Injectable({
  providedIn: 'root'
})
export class MappedUsersService {
  URL= environment.URLForAPI;
  constructor(private httpRequest: HttpClient) { }

  updateMappedUser(mappedUser: MappedUsers) {
    return this.httpRequest.put(this.URL + 'APIusers', mappedUser);
  }
  getMappedUsers(): Observable<MappedUsers[]>{
    return this.httpRequest.get<MappedUsers[]>(this.URL + 'APIUsers');
  }

  getMappedUser(username : string) : Observable<MappedUsers>{
    return this.httpRequest.get<MappedUsers>(this.URL + 'APIUsers/' + username);
  }

  leadingPhoto(id: number){
    return this.httpRequest.put(this.URL + 'APIUsers/leadingPhoto/'+ id,{});
  }

  photoDelete(id: number){
    return this.httpRequest.delete(this.URL + 'APIUsers/photoDelete/' + id);
  }



}
