import { Component, OnInit } from '@angular/core';
import { clientMessage } from '../clientEntities/clientMessage';
import { TextService } from '../clientServices/text.service';

@Component({
  selector: 'app-messages',
  templateUrl: './messages.component.html',
  styleUrls: ['./messages.component.css']
})
export class MessagesComponent implements OnInit {
  texts: clientMessage[];
  container = '';

  constructor(private text: TextService) { }

  ngOnInit(): void {
    this.getUnread()
  }

  deleteText(textId: number){
    this.text.deleteText(textId).subscribe(() => {
      this.texts.splice(this.texts.findIndex(t => t.id === textId), 1)
    })
  }

  allMessages() {
    this.text.allMessages(this.container).subscribe(r => {
      this.texts = r.body
    }
    )
  }

  getInbox() {
    this.container = 'Inbox'
    this.text.allMessages(this.container).subscribe(r => {
      this.texts = r.body
    }
    )
  }

  getOutbox() {
    this.container = 'Outbox'
    this.text.allMessages(this.container).subscribe(r => {
      this.texts = r.body
    }
    )
  }

  getUnread() {
    this.container = ''
    this.text.allMessages(this.container).subscribe(r => {
      this.texts = r.body
    }
    )
  }

}
