import { Component, OnInit } from '@angular/core';
import { LogSignService } from '../clientServices/log-sign.service';
import { Router } from '@angular/router';
import { ToastrService } from 'ngx-toastr';
import { ClientUser } from '../clientEntities/clientUser';
import { take } from 'rxjs';

@Component({
  selector: 'app-navbar',
  templateUrl: './navbar.component.html',
  styleUrls: ['./navbar.component.css']
})
export class NavbarComponent implements OnInit {
  loginValues: any = {}
  userLogged: boolean;
  nameDisplay: any; 
  client : ClientUser;
  clientUser: ClientUser;

  constructor(private router: Router ,private loginService: LogSignService,private toastr: ToastrService) { 
    this.loginService.userValues$.pipe(take(1)).subscribe(user => this.clientUser = user);
  }

  ngOnInit(): void {
    this.currentUser();
  }

  loginUser(){
    this.loginService.loginUser(this.loginValues).subscribe({next: r => {this.router.navigateByUrl('/users'); this.userLogged = true}, error: err => this.toastr.error(err.error)})
  }

  logoutUser(){
    this.loginService.logoutUser();
    this.userLogged = false;
    this.router.navigateByUrl('/')
  }

  currentUser(){
    this.loginService.userValues$.subscribe({next: currentUser =>{ this.userLogged = !!currentUser;}} )
  }

}
