import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { LogSignService } from '../clientServices/log-sign.service';
import { Router } from '@angular/router';
import { Form, FormGroup, NgForm } from '@angular/forms'

@Component({
  selector: 'app-sign-up',
  templateUrl: './sign-up.component.html',
  styleUrls: ['./sign-up.component.css']
})
export class SignUpComponent implements OnInit {
  @Output() cancelSignUp = new EventEmitter();
  formValues: any ={};

  constructor(private loginService: LogSignService,private router: Router) { }

  ngOnInit(): void {
  }
  

  signUp(registerForm: NgForm){
    this.loginService.register(registerForm?.value).subscribe({next: r => 
      {this.router.navigateByUrl('/users');
      console.log(r)
    },  error: err => console.log(err)})
  }

  cancel(){
    this.cancelSignUp.emit(false);
  }

}
