import { Injectable } from '@angular/core';
import {
  HttpRequest,
  HttpHandler,
  HttpEvent,
  HttpInterceptor
} from '@angular/common/http';
import { Observable, take } from 'rxjs';
import { LogSignService } from './clientServices/log-sign.service';
import { ClientUser } from './clientEntities/clientUser';

@Injectable()
export class UserAccessInterceptor implements HttpInterceptor {

  constructor(private loginService: LogSignService) {}

  intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>> {
    let userAccess: ClientUser;
    this.loginService.userValues$.pipe(take(1)).subscribe(values => userAccess = values );
    if(userAccess){
      request = request.clone({
        setHeaders :{
          Authorization: `Bearer ${userAccess.token}`
        }
      })
    }

    return next.handle(request);
  }
}
