import { Component, OnInit } from '@angular/core';
import { take } from 'rxjs';
import { ClientUser } from 'src/app/clientEntities/clientUser';
import { LogSignService } from 'src/app/clientServices/log-sign.service';
import { MappedUsersService } from 'src/app/clientServices/mapped-users.service';
import { OnlineService } from 'src/app/clientServices/online.service';
import { MappedUsers } from 'src/app/clientViewItems/mappedUsers';

@Component({
  selector: 'app-all-users',
  templateUrl: './all-users.component.html',
  styleUrls: ['./all-users.component.css']
})
export class AllUsersComponent implements OnInit {
  mappedUsers: MappedUsers[] = [];
  clientUser: ClientUser;

  constructor(public onlineService: OnlineService, private mappedUsersService: MappedUsersService, private loginService: LogSignService)
   { this.loginService.userValues$.pipe(take(1)).subscribe(user => this.clientUser = user);}

  ngOnInit(): void {
    this.retrieveMappedUsers();
  }

  retrieveMappedUsers(){
    this.mappedUsersService.getMappedUsers().subscribe( mappedUsers => this.mappedUsers = mappedUsers);
  }

}
