import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HostListener, OnDestroy, ViewChild, ViewEncapsulation } from '@angular/core';
import { Component, OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { NavigationStart, Router } from '@angular/router';
import { FileUploader } from 'ng2-file-upload';
import { take } from 'rxjs';
import { ClientUser } from 'src/app/clientEntities/clientUser';
import { LogSignService } from 'src/app/clientServices/log-sign.service';
import { MappedUsersService } from 'src/app/clientServices/mapped-users.service';
import { MappedUsers } from 'src/app/clientViewItems/mappedUsers';
import { Photo } from 'src/app/clientViewItems/photo';
import { environment } from 'src/environments/environment';

@Component({
  selector: 'app-edit-user',
  templateUrl: './edit-user.component.html',
  styleUrls: ['./edit-user.component.css'],
  encapsulation: ViewEncapsulation.None
})
export class EditUserComponent implements OnInit, OnDestroy {
  @ViewChild('editingForm') editForm: NgForm
  isForm = false;
  isDirty = () => this.isForm || !this.editForm?.dirty;
  mappedMember: MappedUsers;
  clientUser: ClientUser;

  constructor(private router: Router, private loginService: LogSignService, private mappedUserService: MappedUsersService) {
    this.loginService.userValues$.pipe(take(1)).subscribe(user => this.clientUser = user);
   }
  ngOnDestroy(): void {
    
  }

  ngOnInit(): void {
    this.getMappedUser();
  }

  getMappedUser(){
    this.mappedUserService.getMappedUser(this.clientUser.username).subscribe(Mappedmember =>{
      this.mappedMember = Mappedmember;
    })
  }

  updateMember(){
    this.mappedUserService.updateMappedUser(this.mappedMember).subscribe(()=>{
      this.editForm.reset(this.mappedMember); 
      this.isForm = true;
    })
  }


}
